stages:
    - build

variables:
  CI_DEBUG_TRACE: "true"


distributed_cache:
    stage: build
    image: ubuntu:20.04
    cache:
      key: "$CI_JOB_NAME-$CI_COMMIT_REF_SLUG"
      paths:
          - "obj/"      
    script:
        # - apt update && apt install make build-essential  -y
        - stat obj/ || mkdir obj/
        - stat obj/test.txt
        - stat hello.c
        - ls -alrt
        - echo $CI_JOB_ID > obj/test.txt
        - sleep 60
    tags:
        - distributed-cache

local_cache:
    stage: build
    image: ubuntu:20.04
    cache:
      key: "$CI_JOB_NAME-$CI_COMMIT_REF_SLUG"
      paths:
          - "obj/"      
    script:
        # - apt update && apt install make build-essential  -y
        - stat obj/ || mkdir obj/
        - stat obj/test.txt
        - stat hello.c
        - ls -alrt
        - echo $CI_JOB_ID > obj/test.txt
        - sleep 60

    tags:
        - local-cache
